%define	name	kbibtex
%define	version	0.1.4
%define	release	%mkrel 2
%define	Summary	KBibTeX is a BibTeX editor for KDE

Name:		%{name}
Summary:	%{Summary}
Version: 	%{version}
Release:	%{release}
Source:     http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Publishing
Url:		http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	tetex-latex
BuildRequires:	kdelibs-devel
BuildRequires:  libxslt-devel

%description
KBibTeX is a BibTeX editor for KDE

%prep
%setup -q

%build
./configure --with-qt-dir=%_libdir/qt3 \
            --disable-rpath \
            --mandir=%_mandir \
            --prefix=%_prefix \
            --datadir=%_datadir \
            --disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Office/Publishing"\
title="KBibTeX"\
longtitle="%{Summary}"\
command="%{name}"\
icon="%{name}.png"\
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --add-category="Office" \
  --add-category="Viewer" \
  --dir $RPM_BUILD_ROOT%_datadir/applnk/Office $RPM_BUILD_ROOT%_datadir/applnk/Office/*


rm -rf $RPM_BUILD_ROOT/%_datadir/INSTALL
rm -rf $RPM_BUILD_ROOT/%_datadir/README
rm -rf $RPM_BUILD_ROOT/%_datadir/AUTHORS
rm -rf $RPM_BUILD_ROOT/%_datadir/NEWS
rm -rf $RPM_BUILD_ROOT/%_datadir/TODO
rm -rf $RPM_BUILD_ROOT/%_datadir/COPYING

mkdir -p %{buildroot}/{i%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install %{buildroot}/%{_iconsdir}/crystalsvg/48x48/apps/kbibtex.png %{buildroot}/%{_liconsdir}
install %{buildroot}/%{_iconsdir}/crystalsvg/32x32/apps/kbibtex.png %{buildroot}/%{_iconsdir}
install %{buildroot}/%{_iconsdir}/crystalsvg/16x16/apps/kbibtex.png %{buildroot}/%{_miconsdir}

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO

%attr(644, root, root)  %_libdir/kde3/libkbibtexpart.la

%_mandir/man1/kbibtex*
%_bindir/kbibtex
%_libdir/kde3/libkbibtexpart.*
%_datadir/applnk/Office/kbibtex.desktop
%_datadir/apps/kbibtex/
%_datadir/apps/kbibtexpart/
%_datadir/doc/HTML/*/kbibtex/
%_datadir/icons/crystalsvg/*/apps/kbibtex.png
%_datadir/services/kbibtex_part.desktop

%_menudir/*
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-2mdv2007.0
- XDG

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.1.4-1mdk
- new release

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2mdk
- Add BuildRequires


* Fri Mar 03 2006 Michael Scherer <misc@mandriva.org> 0.1.3-1mdk
- complete the spec file
- from Dominik Grafenhofer <devel@grafenhofer.at> 
  - initial build
